org.bdgenomics.adam.rdd.read.recalibration

# Covariate

###
Related Doc: package recalibration

#### trait Covariate extends AnyRef

A Covariate represents a predictor, also known as a "feature" or "independent variable".

Note

  Concrete implementations of Covariate should inherit from AbstractCovariate, not Covariate.

Linear Supertypes
AnyRef, Any
Known Subclasses
AbstractCovariate, CycleCovariate, DinucCovariate
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Covariate
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### abstract type Value

### Abstract Value Members

1. #### abstract def compute(read: DecadentRead): Seq[Option[Value]]

   Given a read, computes the value of this covariate for each residue in the read.

   Given a read, computes the value of this covariate for each residue in the read.

   The returned values must be in the same order as the residues. A value of None means this covariate does not apply to the corresponding residue.

   Example: The DinucCovariate returns a pair of bases for each residue, except for bases at the start of a read, for which it returns None.

2. #### abstract def csvFieldName: String

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply(read: DecadentRead): Seq[Option[Value]]

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def notify(): Unit

    Definition Classes
      AnyRef

15. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

16. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

17. #### def toCSV(option: Option[Value]): String

18. #### def toString(): String

    Definition Classes
      AnyRef → Any

19. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped